1. Luma
梧柏API使用文档
WHBAI · Luma
  • WHBAI · Google Gemini 原生 (v1alpha)
  • WHBAI · Google Gemini 原生
  • WHBAI · Ideogram
  • WHBAI · Ideogram V3
  • WHBAI · Midjourney
  • WHBAI · Jimeng
  • WHBAI · Kling
  • WHBAI · Luma
  • WHBAI · Luma V1
  • WHBAI · Omni 视频
  • WHBAI · Pixverse
  • WHBAI · Runway
  • WHBAI · Sora2
  • WHBAI · 统一视频 VEO
  • WHBAI · Vidu
  • WHBAI · 豆包 Volc
  • WHBAI · Suno
  • WHBAI · Playground
  • WHBAI · 账号与令牌
  • WHBAI · 阿里 Pix
  • WHBAI · 阿里百炼
  • WHBAI · 私域人像
  • WHBAI · Fal.ai
  • WHBAI · Replicate
  • WHBAI · 腾讯云 VOD
  • WHBAI · MiniMax
  • WHBAI · 支持模型列表
  • WHBAI · Grok Imagine
  • WHBAI · Seedance 2.0
  • WHBAI · TypeSafe
  • WHBAI · OpenAI 兼容
  • Luma
    • 创建视频生成任务
      POST
    • 查询生成任务
      GET
    • 延长视频
      POST
    • 批量查询任务
      POST
  • 数据模型
    • LumaGenerationResponse
    • LumaSampleRequest
    • PostLumaGenerationsIdExtendRequest
    • LumaSampleResponse
    • PostLumaTasksRequest
    • PostLumaGenerationsTaskIdExtendRequest
    • PostLumaGenerationsTaskIdExtendResponse
    • GetLumaGenerationsTaskIdResponse
    • NewApiError
  1. Luma

延长视频

POST
/luma/generations/{id}/extend
Luma 官方 API · 延长已有视频(POST /luma/generations/{id}/extend)。

请求参数

Authorization
Bearer Token
在 Header 添加参数
Authorization
,其值为在 Bearer 之后拼接 Token
示例:
Authorization: Bearer ********************
or
Path 参数

Body 参数application/json必填

示例
{
    "user_prompt": "Continue the scene with the eagle landing on a cliff"
}

请求示例代码

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
请求示例请求示例
Shell
JavaScript
Java
Swift
curl --location '/luma/generations//extend' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "user_prompt": "Continue the scene with the eagle landing on a cliff"
}'

返回响应

🟢200成功
application/json
延长任务创建成功
Bodyapplication/json

示例
{
    "id": "string",
    "prompt": "string",
    "state": "queued",
    "queue_state": "string",
    "created_at": "string",
    "batch_id": "string",
    "video": {
        "url": "string",
        "width": 0,
        "height": 0
    },
    "thumbnail": {
        "url": "string"
    },
    "last_frame": {
        "url": "string"
    },
    "estimate_wait_seconds": 0
}
🟠400请求有误
🟠401没有权限
修改于 2026-10-24 18:33:11
上一页
查询生成任务
下一页
批量查询任务
Built with